# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'ClicRdv.default_comment'
        db.add_column(u'clicrdv_clicrdv', 'default_comment',
                      self.gf('django.db.models.fields.CharField')(max_length=250, null=True, blank=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'ClicRdv.default_comment'
        db.delete_column(u'clicrdv_clicrdv', 'default_comment')


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'clicrdv.clicrdv': {
            'Meta': {'object_name': 'ClicRdv', '_ormbases': [u'datasources.BaseDataSource']},
            'apikey': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            u'basedatasource_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['datasources.BaseDataSource']", 'unique': 'True', 'primary_key': 'True'}),
            'default_comment': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'server': ('django.db.models.fields.CharField', [], {'default': "'sandbox.clicrdv.com'", 'max_length': '64'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'websource': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'})
        },
        u'datasources.basedatasource': {
            'Meta': {'object_name': 'BaseDataSource'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        }
    }

    complete_apps = ['clicrdv']