from django.conf.urls import patterns, url
from views import *

urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', OvhDetailView.as_view(), name='ovh-view'),
    url(r'^(?P<slug>[\w,-]+)/send$', OvhSendView.as_view(), name='ovh-send'),
)

management_urlpatterns = patterns('',
    url(r'^add$', OvhCreateView.as_view(), name='ovh-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', OvhUpdateView.as_view(), name='ovh-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', OvhDeleteView.as_view(), name='ovh-delete'),
)
