from django.contrib import admin

from models import SolisReferential, SolisListeLieux, SolisListeCommunes, SolisListeHomonymes

class SolisReferentialAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}

admin.site.register(SolisReferential, SolisReferentialAdmin)

class SolisListeLieuxAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}

admin.site.register(SolisListeLieux, SolisListeLieuxAdmin)

class SolisListeCommunesAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}

admin.site.register(SolisListeCommunes, SolisListeCommunesAdmin)

class SolisListeHomonymesAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}

admin.site.register(SolisListeHomonymes, SolisListeHomonymesAdmin)

