# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'JSONOutputQueue.output_encoding'
        db.add_column(u'queue_jsonoutputqueue', 'output_encoding',
                      self.gf('django.db.models.fields.CharField')(default='utf-8', max_length=32),
                      keep_default=False)

        # Adding field 'MakoPrototypeOutputQueue.output_encoding'
        db.add_column(u'queue_makoprototypeoutputqueue', 'output_encoding',
                      self.gf('django.db.models.fields.CharField')(default='utf-8', max_length=32),
                      keep_default=False)

        # Adding field 'MakoOutputQueue.output_encoding'
        db.add_column(u'queue_makooutputqueue', 'output_encoding',
                      self.gf('django.db.models.fields.CharField')(default='utf-8', max_length=32),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'JSONOutputQueue.output_encoding'
        db.delete_column(u'queue_jsonoutputqueue', 'output_encoding')

        # Deleting field 'MakoPrototypeOutputQueue.output_encoding'
        db.delete_column(u'queue_makoprototypeoutputqueue', 'output_encoding')

        # Deleting field 'MakoOutputQueue.output_encoding'
        db.delete_column(u'queue_makooutputqueue', 'output_encoding')


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'queue.basequeue': {
            'Meta': {'object_name': 'BaseQueue'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'queue.jsonoutputqueue': {
            'Meta': {'object_name': 'JSONOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'output_encoding': ('django.db.models.fields.CharField', [], {'default': "'utf-8'", 'max_length': '32'}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        },
        u'queue.makooutputqueue': {
            'Meta': {'object_name': 'MakoOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'output_encoding': ('django.db.models.fields.CharField', [], {'default': "'utf-8'", 'max_length': '32'}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        },
        u'queue.makoprototypeoutputqueue': {
            'Meta': {'object_name': 'MakoPrototypeOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'output_encoding': ('django.db.models.fields.CharField', [], {'default': "'utf-8'", 'max_length': '32'}),
            'template': ('django.db.models.fields.TextField', [], {}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        }
    }

    complete_apps = ['queue']